# Business Representatives Object

{% tabs %}
{% tab title="Details" %}

<table data-header-hidden><thead><tr><th></th><th width="200"></th><th></th><th></th></tr></thead><tbody><tr><td><strong>Field</strong></td><td><strong>Required</strong></td><td><strong>Type</strong></td><td><strong>Description</strong></td></tr><tr><td>first_name</td><td>Yes</td><td>String</td><td>First name of the business representative.</td></tr><tr><td>middle_name</td><td>No</td><td>String</td><td>Middle name of the business representative.</td></tr><tr><td>last_name</td><td>Yes</td><td>String</td><td>Family name of the business representative.</td></tr><tr><td>date_of_birth</td><td>Yes</td><td>String</td><td>Date of birth of business representative</td></tr><tr><td>address_line1</td><td>Yes</td><td>String</td><td>Street address of the business representative.</td></tr><tr><td>city</td><td>Yes</td><td>String</td><td>City of the business representative.</td></tr><tr><td>state</td><td>Yes</td><td>String</td><td>2-letter ISO code of the business representative’s state.</td></tr><tr><td>country</td><td>Yes</td><td>String</td><td>2-letter ISO code of the business representative’s country.</td></tr><tr><td>zipcode</td><td>Yes</td><td>String</td><td>Zip code of the business representative’s address.</td></tr><tr><td>type</td><td>Yes</td><td>Category</td><td><p>Enumerated value: ‘ACCOUNT_OPERATOR’, ‘BENEFICIAL_OWNER’, ‘COMPLIANCE’, 'PRIMARY CONTROLLER’ </p><p></p><p><em>Note: This field will be deprecated. Suggested to use br_type.</em></p></td></tr><tr><td>br_type</td><td>Yes</td><td>Object</td><td>Set true or fasle based on what type of business representative you are creating.</td></tr><tr><td>br_type.account_operator</td><td>Yes</td><td>Boolean</td><td><p>True or False.<br></p><p><em>To initiate KYB, “ACCOUNT OPERATOR” is required.</em></p></td></tr><tr><td>br_type.beneficial_owner</td><td>Yes</td><td>Boolean</td><td>Set True or False.</td></tr><tr><td>br_type.compliance</td><td>Yes</td><td>Boolean</td><td>Set True or False.</td></tr><tr><td>br_type.primary controller</td><td>Yes</td><td>Boolean</td><td>Set True or False.</td></tr><tr><td>email</td><td>Yes</td><td>String</td><td>Email id of the business representative.</td></tr><tr><td><strong>virtual_documents</strong></td><td><strong>Conditional</strong></td><td><strong>Object</strong></td><td><strong>Identification document's information.</strong> Details on the required documents are outlined in your spec sheet. </td></tr><tr><td>virtual_documents.document_type</td><td>Yes, if virtual_documents is provided</td><td>String</td><td>Enumerated values are listed below.</td></tr><tr><td>virtual_documents.document_value</td><td>Yes, if virtual_documents is provided</td><td>String</td><td>ID number of the document.</td></tr><tr><td>virtual_documents.issue_date</td><td>Conditional</td><td>String</td><td>Date of issue of the document.</td></tr><tr><td>virtual_documents.id_issuing_authority</td><td>Conditional</td><td>String</td><td>The department issuing the ID.</td></tr><tr><td>virtual_documents.country</td><td>Conditional</td><td>String</td><td>2-letter ISO code of the user's country.</td></tr><tr><td>virtual_documents.state</td><td>Conditional</td><td>String</td><td>2-letter ISO code of the user's state.</td></tr><tr><td>virtual_documents.expiry_date</td><td>Conditional</td><td>String</td><td>Date of expiry of the document.</td></tr><tr><td><strong>physical_documents</strong></td><td><strong>Conditional</strong></td><td><strong>Object</strong></td><td><strong>Copy of a document.</strong> Details on the required documents are outlined in your spec sheet. </td></tr><tr><td>physical_documents.document_value</td><td>Yes, if physical_documents is provided</td><td>String</td><td>Value of the document. Physical documents must be encoded Base64 before being uploaded to our system.</td></tr><tr><td>physical_documents.document_value_back</td><td>Yes, if physical_documents is provided</td><td>String</td><td>Value of the rear side of the document. Physical documents must be encoded Base64 before being uploaded to our system.</td></tr><tr><td>physical_documents.document_type</td><td>Yes, if physical_documents is provided</td><td>String</td><td>Enumerated values are listed below.</td></tr><tr><td>physical_documents.country</td><td>Conditional</td><td>String</td><td>2-letter ISO code of the user’s country.</td></tr><tr><td>physical_documents.state</td><td>Conditional</td><td>String</td><td>2-letter ISO code of the user’s state.</td></tr><tr><td>physical_documents.expiry_date</td><td>Conditional</td><td>String</td><td>Date of expiry of the document.</td></tr><tr><td>phone</td><td>Yes</td><td>Numeric</td><td>Mobile number of the contact person.</td></tr><tr><td>gender</td><td>Yes</td><td>String</td><td>Gender of business representative.</td></tr><tr><td>title</td><td>Yes</td><td>String</td><td>Title of buinsess representative.</td></tr><tr><td>ownership_percentage</td><td>Yes, if Beneficial Owner</td><td>Numeric</td><td>Mandatory field for business representative of type “beneficial owner”.</td></tr></tbody></table>

**Physical Document Type Enumerated Values**

```
PASSPORT
DRIVING_LICENCE
STATE_ID
```

**Virtual Document Type Enumerated Values**

```
SSN
PASSPORT
DRIVING_LICENSE
STATE_ID
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://paas.docs.machnetinc.com/api-references/user/business-representatives/business-representatives-object.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
